# https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=192606
#
# Specfile for yafc: yet another ftp client
#

Name:           yafc
Version:        1.1.1
Release:        6%{?dist}
Summary:        Yet Another FTP/SFTP Client

Group:          Applications/Internet
License:        GPL
URL:            http://yafc.sourceforge.net

################################################################################

Source:         http://dl.sourceforge.net/yafc/%{name}-%{version}.tar.bz2

Patch:          gssapi.diff

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

################################################################################

BuildRequires:      readline-devel >= 4.2
BuildRequires:      krb5-devel
BuildRequires:      ncurses-devel
BuildRequires:      /usr/bin/makeinfo

Requires:           openssh-clients

Requires(post):     /sbin/install-info
Requires(preun):    /sbin/install-info

################################################################################

%description
Yafc is an OpenSource console mode FTP client. It has support for Kerberos 4/5
authentication and sftp (ssh2). Other features include tab completion,
directory cache, powerful aliases, recursive file commands and bookmarks with
autologin.

################################################################################

%prep

%setup -q

make distclean

%patch -p1

################################################################################

%build

%configure

make %{?_smp_mflags}

################################################################################

%install

rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Change the perms on %doc files so rpm doesn't pick up their dependencies
find contrib/ -type f -print0 | xargs -r0 chmod 644

# Remove the CVS directory from contrib so it doesn't get installed into %doc
rm -rf contrib/CVS

# Remove the info directory that sometimes gets created
rm -rf $RPM_BUILD_ROOT/%{_datadir}/info/dir

################################################################################

%clean

rm -rf $RPM_BUILD_ROOT

################################################################################

%post

/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

################################################################################

%postun

if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

################################################################################

%files
%defattr(-, root, root, -)
%doc ABOUT-NLS BUGS COPYING COPYRIGHT NEWS README THANKS TODO
%doc contrib/
%doc inputrc.sample yafcrc.sample
%{_bindir}/*
%{_mandir}/man*/*
%{_datadir}/info/yafc*

################################################################################

%changelog

* Thu Feb  1 2007   Chris Petersen <rpm@forevermore.net>                1.1.1-6
- Add ncurses BR so that yafc won't link against the deprecated termcap lib

* Tue Sep 12 2006   Chris Petersen <rpm@forevermore.net>                1.1.1-5
- Slight tweak to the defattr to add the fourth parameter

* Sun Jul 23 2006   Chris Petersen <rpm@forevermore.net>                1.1.1-4
- Add `make distclean` to prep section to compensate for "dirty" cvs repository
- Remove doc/ directory from files, since its contents already get installed as info and man files

* Sun Jul 23 2006   Chris Petersen <rpm@forevermore.net>                1.1.1-3
- Add kerberos patch from https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=192606
- Add krb5-devel BR now that we can compile with kerberos
- Make setup quiet for rpmlint

* Mon Jul 03 2006   Chris Petersen <rpm@forevermore.net>                1.1.1-2
- Update summary and description per fedora recommendations
- Remove exclude and just use rm -rf for info/dir
- Move install-info to postun instead of preun
- Remove redunant readline requirement
- Remove "always color" patch (problems in non-ansi terminals and can be replicated via yafcrc/alias)

* Sun Nov 28 2004 Karl Pietrzak <TheAlchemist@optonline.net> [1.1-0]
* Fri May 20 2006   Chris Petersen <rpm@forevermore.net>                1.1.1-1
- Update spec to comply with fedora guidelines and rpmlint
- Remove unnecessary errno patch

* Sun Nov 28 2004 Karl Pietrzak <TheAlchemist@optonline.net> [1.1-0]
- added patch to always print with color
- added Requires

* Wed Sep 24 2003 Karol Pietrzak <TheAlchemist@optonline.net> [1.0-2]
- created a patch to compile with the latest incarnation of gcc

* Tue Dec 10 2002 Karol Pietrzak <The_Alchemist@earthlink.net> [1.0-1]
- prettied up Description
- updated BuildRequires
- updated deletion of %%buildroot script
- %%makeinstall pretties up doc/

* Sun Oct 13 2002 Karol Pietrzak <The_Alchemist@earthlink.net>
- changed Group to what SuSE 8.1 uses
- file "dir" no longer part of package

* Sat Oct 12 2002 Karol Pietrzak <The_Alchemist@earthlink.net>
- removed problematic parameters to configure script

* Tue Oct 8 2002 Karol Pietrzak <The_Alchemist@earthlink.net>
- moved deletion of %%buildroot directory and made it smarter

* Tue Dec 4 2001 Karol Pietrzak <The_Alchemist@earthlink.net>
- RPM now relocatable
